TGTD(8)

NAME
tgtd - The SCSI Target Daemon

SYNOPSIS

tgtd

tgtd [-C --control-port <INTEGER>] [-d --debug <INTEGER>] [-f --foregound] [-h --help] [--iscsi <...>]

DESCRIPTION

Tgtd is a SCSI Target daemon. It can be used to provide SCSI target service to a network. The most common service is iSCSI but other services are also supported.

DEVICE TYPES

Tgtd provides support for both emulated and passthrough of real devices.

        Tgtd can emulate the following types of devices:

        disk       : Normal disk device. Emulates a SCSI harddisk.
        tape       : Tape device. Emulates a SCSI tape drive.
        cd         : CD device. Emulates a SCSI DVD burner.
        changer    : Media changer. Emulate the changer device for a virtual tape library or DVD jukebox.

OPTIONS

-d --debug <INTEGER>
    Set to non-zero value to activate additional debugging messages to be logged.

-f --foreground
    Run the daemon in the foreground.

-h --help
    Print help text to the screen.

-C --control-port <INTEGER>
    This comamnd is used to specify the control port to use for this instance of tgtd. This allows to run multiple instances of TGTD on a host.

    TGTADM has a matching argument to control which instance to connect to.

--iscsi <...>
    ISCSI specific options. See the ISCSI section below for options specific to this frontend.

ISCSI OPTIONS

These parameters apply only to the iSCSI frontend.

  portal=<ip-address[:port]>

This option is used to bind tgtd to a specific ip-address/portal and/or port. By default tgtd will bind to port 3260 on the wildcard address. The ip-address part (before the ":") can be missing to designate the wildcard address with a none-default port.

Example: to bind tgtd to a specific address and port

    	tgtd --iscsi portal=192.0.2.1:3260

Example: to bind tgtd to any address but a none-default port

    	tgtd --iscsi portal=:3251

  nop_interval=<integer>

This sets the default interval for sending NOP-OUT to probe for connected initiators. This parameter only controls the default value for targets. Individual targets can be controlled using tgtadm.

The default value is 0 which means that the feature is disabled TGTD will not send any NOP-OUT probes.

  nop_count=<integer>

This sets the default value for after how many failed probes TGTD will consider the initiator dead and tear down the session. This parameter only controls the default value for targets. Individual targets can be controlled using tgtadm.

The default value is 0.

Example: send NOP-OUT every 5 seconds and abort the session after 6 failures.

    	tgtd --iscsi portal=192.0.2.1:3260,nop_interval=5,nop_count=6

ENVIRONMENT VARIABLES

  TGT_IPC_SOCKET=<path>

When set tgtd and tgtadm will use the specified path as the IPC socket instead of the default '/var/run/tgtd/socket.0'

SEE ALSO

targets.conf(5), tgtadm(8), tgt-admin(8), tgtimg(8), tgt-setup-lun(8). https://github.com/fujita/tgt

COPYRIGHT/LICENSE

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at
    your option) any later version.

    This program is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, see http://www.gnu.org/licenses/.